Bug 1652637 - Rebase exiv2 to 0.27
Summary: Rebase exiv2 to 0.27
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: exiv2
Version: 7.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jan Grulich
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1656436 1479323
TreeView+ depends on / blocked
 
Reported: 2018-11-22 13:46 UTC by Jan Grulich
Modified: 2019-08-06 12:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: exiv2-0.27-rebase
Environment:
Last Closed: 2019-08-06 12:47:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2101 0 None None None 2019-08-06 12:47:34 UTC

Description Jan Grulich 2018-11-22 13:46:46 UTC
+++ This bug was initially created as a clone of Bug #1651917 +++

Exiv2 0.27 should be released in 28th of December. 

Goals of this release are:
* Security fixes
* Bug Fixes
* Improved CMake Support
* Conan Support
* Adobe XMPsdk 2016 support
* New python based test suite
* AppVeyor, Travis, CodeCov and GitLibs monitor submissions
* Support for MinGW/msys2
J* enkins buildserver operates from GitHub
* All new documentation and web site.

I mostly care about security fixes, I backported many of them to Exiv2 0.26 and some of them are still not fixed. All should be gone with the new release.

We will most probably need to rebuild some other packages because of this, like libgexiv2.

Comment 7 Jan Grulich 2019-01-28 16:08:24 UTC
Fixed with exiv2-0.27.0-1.el7_6.

Comment 10 errata-xmlrpc 2019-08-06 12:47:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2101


Note You need to log in before you can comment on or make changes to this bug.